QGIS Application - Bug report #5517
spatialindex includes in subfolder, not found by qgis
2012-04-29 07:52 PM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15119
Description

The standard spatialindex installation places its headers in a subfolder of $prefix/include, ie /usr/local/include/spatialindex/. The cmake
FindSpatialitindex does not check for this, but I'm not sure if that is broken, as | am installing in a non-standard location.

But, ggsspatialindex.cpp also does not include from the subfolder. A leftover from when spatialindex was included in the source and
didn't have the subfolder. Changing the ggsspatialindex.cpp include to:

#include <spatialindex/Spatiallndex.h>

fixes the include problem. The findspatialindex.cmake probably needs a similar fix.

History

#1 - 2012-04-30 12:41 AM - Jiirgen Fischer
SPATIALINDEX_INCLUDE_DIR is the directory where Spatiallndex.h is, so FindSpatialindex.cmake should set it to /usr/local/include/spatialindex in your

case - and #include "Spatiallndex.h" should work just fine.

#2 - 2012-04-30 06:46 AM - William Kyngesburye
- Resolution set to invalid

- Status changed from Open to Closed

Ah. But then spatialindex has a bug. |looked at all its internal headers included by spatialindex.h, and they are indeed local off the subfolder. Except

Point.h, it causes the include error | saw with this:

#include <spatialindex/tools/Tools.h>

If you install spatialindex in a standard location like /usr/local you probably won't see an error because /ust/local/include will likely also be in your compile

command.

So, invalid QGIS bug. Over to spatialindex folks...
